Bug 651521 (qtwebkit) - Review Request: qtwebkit - Qt WebKit bindings
Summary: Review Request: qtwebkit - Qt WebKit bindings
Keywords:
Status: CLOSED ERRATA
Alias: qtwebkit
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-09 18:28 UTC by Rex Dieter
Modified: 2011-07-14 18:19 UTC (History)
7 users (show)

Fixed In Version: qt-mobility-1.1.3-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-20 19:11:08 UTC
Type: ---
Embargoed:
jreznik: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Rex Dieter 2010-11-09 18:28:47 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qtwebkit/qtwebkit.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qtwebkit/qtwebkit-2.0-2.fc13.src.rpm
Description: Qt WebKit bindings

This is a standalone/unbundled version of what's currently included in qt packaging.  Once approved, qt packaging will require modifications (to omit qtwebkit bits)

koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2590691

Comment 1 Orion Poplawski 2011-04-11 15:17:37 UTC
It builds on EL6 with this change:

%if !0%{?rhel}
%{_qt4_importdir}/QtWebKit/
%endif

Comment 2 Rex Dieter 2011-04-21 16:04:52 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qtwebkit/qtwebkit.spec
SRPM URL:
http://rdieter.fedorapeople.org/rpms/qtwebkit/qtwebkit-2.1-2.fc14.src.rpm


%changelog
* Thu Apr 21 2011 Rex Dieter <rdieter> 2.1-2
- -devel: Conflicts: qt-devel < 1:4.7.2-9 (qt_webkit_version.pri)
- drop old/deprecated Obsoletes/Provides: WebKit-qt
- use modified, less gigantic tarball
- patch to use phonon instead of QtMultimediaKit
- patch pluginpath for /usr/lib{,64}/mozilla/plugins-wrapped

* Tue Apr 19 2011 Rex Dieter <rdieter> 2.1-1
- 2.1

Comment 3 Jaroslav Reznik 2011-04-22 15:10:18 UTC
Name: ok (upstream)
Group: ok
License: ok
URL: ok
Sources: ok, custom prepared, documented
Summary/description: not sure "Qt WebKit bindings" makes sense here, maybe "Qt WebKit browser engine" sounds better

Patches: ok
BRs, reqs: ok
Provides, obsoletes: please, provide qt-webkit

SMP Flags: ok, present
Ldconfig snippets: ok, present
File attributes: ok

Consistent macro usage: ok
Devel package: ok, with correct Conflicts, Obsoletes. Is it enough to provide qt4-webkit-devel and not qt-webkit-devel?

Package builds in Koji: ok, http://koji.fedoraproject.org/koji/taskinfo?taskID=3019200

rpmlint output:

rpmlint qtwebkit-2.1-2.fc16.src.rpm 
qtwebkit.src: W: invalid-url Source0: qtwebkit-developers-qtwebkit-qtwebkit-2.1.0.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

rpmlint qtwebkit-2.1-2.fc16.x86_64.rpm 
qtwebkit.x86_64: W: obsolete-not-provided qt-webkit
> please fix
qtwebkit.x86_64: W: no-documentation
> ok
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 4 Rex Dieter 2011-05-13 15:00:34 UTC
than though up a 2.2-1 scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3069770

Comment 5 Rex Dieter 2011-05-17 19:26:43 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qtwebkit/qtwebkit.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qtwebkit/qtwebkit-2.2-2.20110513.fc14.src.rpm

%changelog
* Fri May 13 2011 Rex Dieter <rdieter> 2.2-2.20110513
- 20110513 qtwebkit-2.2 branch snapshot
- cleanup deps
- drop -Werror

* Thu May 12 2011 Than Ngo <than> - 2.2-1.tp1
- 2.2-tp1
- gstreamer is now default, drop unneeded phonon patch

* Fri Apr 22 2011 Rex Dieter <rdieter> 2.1-4
- javascriptcore -debuginfo too (#667175)

Comment 6 Jaroslav Reznik 2011-05-18 12:39:17 UTC
All issues fixed in latest version as can be found in comment #5, thanks Rex and Than => APPROVED.

Comment 7 Rex Dieter 2011-05-19 13:07:54 UTC
New Package SCM Request
=======================
Package Name: qtwebkit
Short Description: Qt WebKit bindings
Owners: rdieter,jreznik,than
Branches: el6
InitialCC:

Comment 8 Jason Tibbitts 2011-05-19 15:56:01 UTC
Git done (by process-git-requests).

Comment 9 Rex Dieter 2011-05-20 19:11:08 UTC
imported, built for rawhide.

Comment 10 Fedora Update System 2011-05-24 16:45:10 UTC
qt-mobility-1.1.3-2.el6,qtwebkit-2.1.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/qt-mobility-1.1.3-2.el6,qtwebkit-2.1.1-1.el6

Comment 11 Fedora Update System 2011-06-16 00:34:00 UTC
qt-mobility-1.1.3-2.el6, qtwebkit-2.1.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.